Foros del Web » Programando para Internet » PHP »

PHP 2.4.1 y Apache 2.0.39

Estas en el tema de PHP 2.4.1 y Apache 2.0.39 en el foro de PHP en Foros del Web. La versión de PHP 2.4.1 no es compatible con el apache 2.0.39. Aparentemente hicieron varios cambios desde la 2.0.31 en apache y no funciona. Los ...
  #1 (permalink)  
Antiguo 03/07/2002, 14:35
 
Fecha de Ingreso: noviembre-2001
Mensajes: 415
Antigüedad: 16 años, 1 mes
Puntos: 0
PHP 2.4.1 y Apache 2.0.39

La versión de PHP 2.4.1 no es compatible con el apache 2.0.39.

Aparentemente hicieron varios cambios desde la 2.0.31 en apache y no funciona.

Los que quieran estabilidad, quedense con el apache 1.3.x y el PHP 2.4.1

para los enfermos de "todo funciona mal pero a una velocidad vertiginosa" :Pentre los que me encuentro, les ahorro un par de problemas...

pasos a seguir para instalar PHP en apache 2.0.39:

bajarse el apache de <a href='ir.asp?http://www.apache.org/dist/httpd/' target='_blank'>http://www.apache.org/dist/httpd/...</a>
instalarlo

ahora nos bajamos el PHP, PERO NO LA VERSION 2.4.1, sino el STABLE-latest, disponible en <a href='ir.asp?http://ftp.proventum.net/pub/php/win32-snapshots/' target='_blank'>http://ftp.proventum.net/pub/php/win32-s...</a>

ponemos el PHP donde nos guste.
copiamos el archivo php4ts.dll en C:\windows\system (para win95/98/ME) o c:\windows\system32 (para winNT/2000/XP).

editamos el httpd.conf del apache y agregamos la linea:
Código:
LoadModule php4_module c:/directoriodelPHP/sapi/php4apache2.dll
copiamos el archivo php.ini-dist a c:\windows, se renombra a php.ini y se edita para modificar todo a gusto.

voila, restarteamos el apache y ya se puede probar el tipico &lt;?php phpinfo() ?&gt;

  #2 (permalink)  
Antiguo 03/07/2002, 17:30
Nok
 
Fecha de Ingreso: abril-2001
Mensajes: 302
Antigüedad: 16 años, 7 meses
Puntos: 0
Re: PHP 2.4.1 y Apache 2.0.39

Gracias MMontes por la info, pero no será PHP 4.2.1 en lugar de PHP 2.4.1 ?? :P

Saludos

<img name="Firma" src="http://www.jpw.com.ar/FirmaNok.gif" border="0" usemap="#Mapa"><map name="Mapa"><area shape="rect" coords="0,43,174,60" href="http://www.jpw.com.ar/noktemplate"></map>
  #3 (permalink)  
Antiguo 03/07/2002, 18:03
Avatar de gomo  
Fecha de Ingreso: mayo-2002
Ubicación: [email protected]
Mensajes: 906
Antigüedad: 15 años, 7 meses
Puntos: 0
Re: PHP 2.4.1 y Apache 2.0.39

Es 2.4.1, pero hay que mover este post al foro de abandonware


<div align="center"><img src="http://cablemodem.fibertel.com.ar/sainztrapaga/images/firma.jpg" width="435" height="70" border="0">
</div>
  #4 (permalink)  
Antiguo 04/07/2002, 13:00
 
Fecha de Ingreso: noviembre-2001
Mensajes: 415
Antigüedad: 16 años, 1 mes
Puntos: 0
Re: PHP 2.4.1 y Apache 2.0.39

en realidad me referia a la version 4.2.1
pero esa no funciona.

hay que bajarse el snapshot (que es la version 4.2.2-dev)
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 12:15.